# Static Data API

The Static Data API(Beta) enables you to perform build information lookups for vehicles in your fleet. The data is provided by [DAT Group](https://www.datgroup.com/) and we offer the convenience of retrieving the information via our platform:

1. Set up your app container to use your DAT SilverDAT license details
2. Use our OAuth2 endpoint to receive an Access Token for endpoint authentication
3. Call the build information endpoint by passing in the VIN (Vehicle Identification Number)
4. Receive the valuation of the vehicle by using the valuation endpoint
5. The JSON response provides core build information about your vehicle

{% hint style="info" %}
**PRODUCTION APPLICATIONS**

Note that you can only perform lookups in your live data container. Please get in touch with us on <support@high-mobility.com> in order to start the activation process.
{% endhint %}

### Prerequisites

Lookups for VINs in most European countries are supported today. In order for you to use this service, you will need a DAT SilverDAT license. For new customers, please get in touch with us in <sales@high-mobility.com> and we facilitate this process for you.

In order for us to perform the activation, we will configure your app container with your DAT SilverDat customer details.

{% hint style="info" %}
**BILLING**

Each lookup will count against your billing account in SilverDAT and will be invoiced directly by DAT.
{% endhint %}

### Get an Access Token

1. Go to the "OAuth" tab in your app view
2. Note the Auth URI and store your `Client ID` and `Client Secret` securely
3. Use your credentials to to create an Access Token with the `client_credentials` grant:

To authenticate with the static data endpoint, you first have to create an OAuth2 Access Token.

```bash
curl --location 'https://api.high-mobility.com/v1/access_tokens' \
--header 'Content-Type: application/json' \
--data '{"client_id": "a92cf969-e8ff-4ad4-a45f-42930edde12d", "client_secret": "xfVxR6xnlbeVHXkQatRx4FmxSJxFR0-M", "grant_type": "client_credentials"}'
{
    "access_token": "eyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCJ9.eyJleHAiOjE2OTgwNzAwMDEsImlhdCI6MTY5ODA2OTcwMSwiaXNzIjoiaHR0cHM6Ly9zYW5kYm94LmFwaS5oaWdoLW1vYmlsaXR5LmNvbS92MS9hdXRoX3Rva2VucyIsInNjb3BlIjoiZmxlZXQ6Y2xlYXJhbmNlIHZlaGljbGU6ZWxpZ2liaWxpdHktY2hlY2sgdmVoaWNsZTpkYXRhIiwic3ViIjoiMjEwZmMyOTUtZDQ5OS00ZDgwLTk5MWUtZTQ3NTZlZDI3YTZmIiwidmVyIjoxfQ.2neMW6LioKvZYlbSTf-W4GwSHQmMr_8cyXfhyi4XJF-6F4HrvFNIsLlNUa93wp6BiJ_XEythR8DfWh0PrIaHrg",
    "expires_in": 300,
    "scope": "fleet:clearance vehicle:eligibility-check vehicle:data vehicle:static-data",
    "token_type": "bearer"
}

```

See the authentication tutorial for [OAuth2 Client](/docs/oauth-2.0.md) Credentials to get the full details and integration options.

### Get the vehicle build information

The general build information is retrieved via the static data endpoint. It's a simple API where all you need to do is to pass in the VIN.

```json
# change ACCESS TOKEN and VIN
curl --location --request GET 'https://api.high-mobility.com/v1/vehicle-static-data/<VIN>' \
--header 'Authorization: Bearer <ACCESS TOKEN>'
{
    "manufacturer": {
        "brand": "Jeep",
        "sub_model": "80th Anniversary Plug-In Hybrid 4WD",
        "type_group_name": "Compass",
        "model": "Compass (M7)(2020->)",
        "sales_description": "Compass 1.3 Plug-In Hybrid (EURO 6d) 80th Annivers"
    },
    "equipment": {
        "series_equipment": [
            {
                "description": "airbag driver side/passenger side",
                "positions": [],
                "manufacturer_id": null
            },
            ...
    }
}

```

You can see the endpoint specification on the [Static Data API OpenAP](/api-references/data/vehicle-static-data/static-data-api.md)I reference page.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.high-mobility.com/docs/vehicle-data/static-data-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
